> ## Documentation Index
> Fetch the complete documentation index at: https://ton.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Lookup Block

> Look up block by either *seqno*, *lt* or *unixtime*.



## OpenAPI

````yaml get /lookupBlock
openapi: 3.1.0
info:
  title: TON HTTP API
  description: >

    This API enables HTTP access to TON blockchain - getting accounts and
    wallets information, looking up blocks and transactions, sending messages to
    the blockchain, calling get methods of smart contracts, and more.


    In addition to REST API, all methods are available through [JSON-RPC
    endpoint](#json%20rpc)  with `method` equal to method name and `params`
    passed as a dictionary.


    The response contains a JSON object, which always has a boolean field `ok`
    and either `error` or `result`. If `ok` equals true, the request was
    successful and the result of the query can be found in the `result` field.
    In case of an unsuccessful request, `ok` equals false and the error is
    explained in the `error`.


    API Key should be sent either as `api_key` query parameter or `X-API-Key`
    header.
  version: 2.0.0
servers:
  - url: https://toncenter.com/api/v2
  - url: https://testnet.toncenter.com/api/v2
security: []
tags:
  - name: accounts
    description: Information about accounts.
  - name: blocks
    description: Information about blocks.
  - name: transactions
    description: Fetching and locating transactions.
  - name: get config
    description: Get blockchain config
  - name: run method
    description: Run get method of smart contract.
  - name: send
    description: Send data to blockchain.
  - name: json rpc
    description: JSON-RPC endpoint.
paths:
  /lookupBlock:
    get:
      tags:
        - blocks
      summary: Lookup Block
      description: Look up block by either *seqno*, *lt* or *unixtime*.
      operationId: lookup_block_lookupBlock_get
      parameters:
        - description: Workchain id to look up block in
          required: true
          schema:
            type: integer
            title: Workchain
            description: Workchain id to look up block in
          name: workchain
          in: query
        - description: Shard id to look up block in
          required: true
          schema:
            type: integer
            title: Shard
            description: Shard id to look up block in
          name: shard
          in: query
        - description: Block's height
          required: false
          schema:
            type: integer
            title: Seqno
            description: Block's height
          name: seqno
          in: query
        - description: Block's logical time
          required: false
          schema:
            type: integer
            title: Lt
            description: Block's logical time
          name: lt
          in: query
        - description: Block's unixtime
          required: false
          schema:
            type: integer
            title: Unixtime
            description: Block's unixtime
          name: unixtime
          in: query
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/LookupBlockResponse'
              examples:
                sample:
                  summary: Lookup block example
                  value:
                    ok: true
                    result:
                      '@type': ton.blockIdExt
                      workchain: -1
                      shard: '-9223372036854775808'
                      seqno: 51148869
                      root_hash: HxogBiV2YA+KrC9cJa5llfvDGNk2hwCqsaCSYo40V00=
                      file_hash: h7LOaX0cTqc8qKecsNYi32SVu0McCito3P2qzynvdqk=
                      '@extra': 1755814026.5747118:7:0.2443600480097572
        '422':
          description: Validation Error
        '504':
          description: Lite Server Timeout
      security: []
components:
  schemas:
    LookupBlockResponse:
      allOf:
        - $ref: '#/components/schemas/TonResponse'
        - type: object
          properties:
            result:
              $ref: '#/components/schemas/TonBlockIdExt'
              description: Block identifier for the looked-up block.
    TonResponse:
      properties:
        ok:
          type: boolean
          title: Ok
        result:
          anyOf:
            - type: string
            - items: {}
              type: array
            - type: object
          title: Result
        error:
          type: string
          title: Error
        code:
          type: integer
          title: Code
      type: object
      required:
        - ok
      title: TonResponse
    TonBlockIdExt:
      type: object
      properties:
        '@type':
          type: string
          example: ton.blockIdExt
        workchain:
          type: integer
        shard:
          type: string
          description: 64-bit signed integer as string
        seqno:
          type: integer
        root_hash:
          type: string
        file_hash:
          type: string
      required:
        - workchain
        - shard
        - seqno
        - root_hash
        - file_hash
      description: Extended block identifier.

````